/* ******************************************************************

   class    : AppletTag
   date     : 20.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package AppletView;

/* ******************************************************************
   import statements
*********************************************************************/

import java.util.Hashtable;

/**
 * Represents an applet tag.
 *
 * @author puehringer edgar
 */
public class AppletTag {

  // instance variable declarations
  public int startLine;
  public int numLines;
  public String codebase;
  public String code;
  public int width;
  public int height;
  public Hashtable params = new Hashtable();

  // methods
/* DEBUG ON */
  public String toString() {
    String str;
    java.util.Enumeration enum = params.keys();
    Object key;

    str = "start   : " + "Line "  + startLine + '\n' +
          "num     : " + numLines + " Lines"  + '\n' +
          "codebase: " + codebase + '\n' +
          "code    : " + code     + '\n' +
          "width   : " + width    + '\n' +
          "height  : " + height;
    if (enum.hasMoreElements())
      str += "\nparams  : " + (key = enum.nextElement()) + '=' + params.get(key);
    // end if
    while (enum.hasMoreElements())
      str += "\n          " + (key = enum.nextElement()) + '=' + params.get(key);
    // end while
    return str;
  } // end toString
/* DEBUG OFF */

} // end AppletTag

/* ******************************************************************
   end of file
*********************************************************************/
