/* ******************************************************************

   class    : ClearErrorMessage
   date     : 24.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

/**
 * A message that clears the error list built up with error messages.
 *
 * @author puehringer edgar
 */
public class ClearErrorMessage extends ErrorMessage {

  // constructors
  /** Create a new ClearErrorMessage object. */
  public ClearErrorMessage() {
    super(MESSAGE,"Clear error list");
  } // end constructor ClearErrorMessage

} // end ClearErrorMessage

/* ******************************************************************
   end of file
*********************************************************************/
