/* ******************************************************************

   class    : HelloW
   date     : Nov 28 1998

******************************************************************* */

/* ******************************************************************
   import statements
******************************************************************* */

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

/**
 * The HelloW class.
 *
 * @author puehringer edgar
 */
public class HelloW extends Applet implements ActionListener {

  // class variable declarations

  // instance variable declarations
  public boolean inApplet = true;
  Label label;

  // constructors
  /** Create a new HelloW object. */
  public HelloW() {
  } // end constructor HelloW

  // methods
  /**
   * Called by the browser or applet viewer to inform this applet
   * that it has been loaded into the system.  It is always called
   * before the first time that the start method is called.
   */
  public void init() {
    setLayout(new BorderLayout());
    label = new Label("Hello World!");
    add("Center",label);
    if (inApplet) try {
      MenuLoader ml;

      ml = new MenuLoader(ResourceBundle.getBundle("Menu",Locale.getDefault()));
      ml.setDefaultActionListener(this);
      add("North",ml.createMenuPanel("menubar"));
    } catch (MissingResourceException mre) {
      label.setText("Menu.properties not found");
    }
  } // end init

  /**
   * Called by the browser or applet viewer to inform this applet
   * that it should start its execution.  It is called after the init
   * method and each time the applet is revisited in a Web page.
   */
  public void start() {
  } // end start

  /**
   * Called by the browser or applet viewer to inform this applet
   * that it should stop its execution.  It is called when the Web
   * page that contains this applet has been replaced by another page,
   * and also just before the applet is to be destroyed.
   */
  public void stop() {
  } // end stop

  /**
   * Called by the browser or applet viewer to inform this applet
   * that it is being reclaimed and that it should destroy any
   * resources that it has allocated.  The stop method will always
   * be called before destroy.
   */
  public void destroy() {
  } // end destroy

  /** Returns information about this applet. */
  public String getAppletInfo() {
    return "Hello World Applet";
  } // end getAppletInfo

  /** Invoked when an action occurs. */
  public void actionPerformed(ActionEvent e) {
    label.setText(e.getActionCommand());
  } // end actionPerformed

} // end HelloW

/* ******************************************************************
   end of file
******************************************************************* */
