/* ******************************************************************

   author     : puehringer edgar

   compiler   : javac (jdk 1.1.6)

   interface  : FrameContentManager
   date       : 30.06.98
   description: an interface that handles FrameManager changes

*********************************************************************/

/* ******************************************************************
   interface declaration
*********************************************************************/

public interface FrameContentManager extends java.util.Observer {

  // methods
  /**
   * Checks if the frame manager can close a frame.
   */
  public boolean canClose();

  /**
   * Checks if the frame is an application main frame.  Closing of
   * an application main frame causes closing of all frames.
   */
  public boolean isMainFrame();

} // end FrameContentManager

/* ******************************************************************
   end of file
*********************************************************************/
