/* ******************************************************************

   class    : UnlockMessage
   date     : 24.08.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

package Messages;

/* ******************************************************************
   import statements
*********************************************************************/

/**
 * A message that unlocks GUI elements that have been locked from
 * a lock message before.
 *
 * @author puehringer edgar
 */
public class UnlockMessage extends Message {

  // constructors
  /** Create a new UnlockMessage object. */
  public UnlockMessage() {
    super("Unlock");
  } // end constructor UnlockMessage

} // end UnlockMessage

/* ******************************************************************
   end of file
*********************************************************************/
